curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>",
"request": {
"name": "<string>",
"contactEmail": "<string>",
"description": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor"
payload = {
"eventId": "<string>",
"request": {
"name": "<string>",
"contactEmail": "<string>",
"description": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: '<string>',
request: {
name: '<string>',
contactEmail: '<string>',
description: '<string>',
socialLinks: {
facebookProfile: '<string>',
linkedInProfile: '<string>',
twitterProfile: '<string>',
websiteUrl: '<string>'
},
tagline: '<string>'
}
})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventId' => '<string>',
'request' => [
'name' => '<string>',
'contactEmail' => '<string>',
'description' => '<string>',
'socialLinks' => [
'facebookProfile' => '<string>',
'linkedInProfile' => '<string>',
'twitterProfile' => '<string>',
'websiteUrl' => '<string>'
],
'tagline' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor"
payload := strings.NewReader("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"name\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"name\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventId\": \"<string>\",\n \"request\": {\n \"name\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodyCreate Sponsor
Tool name: v1_create_sponsor · Behaviour: ✏️ Write
Add a sponsor to an event in your Zuddl organization. Only the name is required. This call does NOT take a logo or cover image: create the sponsor, then call v1_upload_sponsor_image with the returned sponsor id. On events where the exhibitor portal is enabled the organization’s plan is checked first, so this can fail with a 403 naming the sponsor limit — that is a plan problem, not a bad request. Returns the created sponsor.
Same as Public API: Create a sponsor (POST /v1/events/{eventId}/sponsors)
curl --request POST \
--url https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"eventId": "<string>",
"request": {
"name": "<string>",
"contactEmail": "<string>",
"description": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
'import requests
url = "https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor"
payload = {
"eventId": "<string>",
"request": {
"name": "<string>",
"contactEmail": "<string>",
"description": "<string>",
"socialLinks": {
"facebookProfile": "<string>",
"linkedInProfile": "<string>",
"twitterProfile": "<string>",
"websiteUrl": "<string>"
},
"tagline": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
eventId: '<string>',
request: {
name: '<string>',
contactEmail: '<string>',
description: '<string>',
socialLinks: {
facebookProfile: '<string>',
linkedInProfile: '<string>',
twitterProfile: '<string>',
websiteUrl: '<string>'
},
tagline: '<string>'
}
})
};
fetch('https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'eventId' => '<string>',
'request' => [
'name' => '<string>',
'contactEmail' => '<string>',
'description' => '<string>',
'socialLinks' => [
'facebookProfile' => '<string>',
'linkedInProfile' => '<string>',
'twitterProfile' => '<string>',
'websiteUrl' => '<string>'
],
'tagline' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor"
payload := strings.NewReader("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"name\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"eventId\": \"<string>\",\n \"request\": {\n \"name\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://setup.zuddl.com/api/mcp/tools/v1_create_sponsor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"eventId\": \"<string>\",\n \"request\": {\n \"name\": \"<string>\",\n \"contactEmail\": \"<string>\",\n \"description\": \"<string>\",\n \"socialLinks\": {\n \"facebookProfile\": \"<string>\",\n \"linkedInProfile\": \"<string>\",\n \"twitterProfile\": \"<string>\",\n \"websiteUrl\": \"<string>\"\n },\n \"tagline\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
OAuth 2.1 access token. MCP clients obtain it themselves (dynamic client registration + PKCE) when you connect them to the server URL above.
Body
The tool's arguments, as sent in a JSON-RPC tools/call request.
Response
A JSON-RPC tools/call result. The tool's output is in content.
Was this page helpful?